UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
com.latencybusters.lbm.LBMContextAttributes Class Reference
Inheritance diagram for com.latencybusters.lbm.LBMContextAttributes:

## Public Member Functions
| LBMContextAttributes (String contextName) throws LBMException
| LBMContextAttributes () throws LBMException
void | setFromXml (String contextName) throws LBMException
void | dispose ()
LBMConfigOption[] | dumpAttributeList ()
String | getValue (String attributeName) throws LBMException
void | setValue (String attributeName, String attributeValue) throws LBMException
Object | setProperty (String attributeName, String attributeValue)
void | load (InputStream inStream) throws IOException
void | setObjectRecycler (LBMObjectRecyclerBase objRec, Object objRecCbArg)
void | setSourceNotification (LBMSourceNotification cb, Object cbarg)
void | clearSourceNotification ()
void | enableSourceNotification ()
void | disableSourceNotification ()
void | setContextSourceEventCallback (LBMContextSourceEventCallback cb)
void | setContextSourceEventCallback (LBMContextSourceEventCallback cb, Object cbArg)
void | setContextSourceEventCallback (LBMContextSourceEventCallback cb, LBMEventQueue evq)
void | setContextSourceEventCallback (LBMContextSourceEventCallback cb, Object cbArg, LBMEventQueue evq)
void | setContextEventCallback (LBMContextEventCallback cb)
void | setContextEventCallback (LBMContextEventCallback cb, Object cbArg)
void | setContextEventCallback (LBMContextEventCallback cb, LBMEventQueue evq)
void | setContextEventCallback (LBMContextEventCallback cb, Object cbArg, LBMEventQueue evq)
void | setImmediateMessageCallback (LBMImmediateMessageCallback cb)
void | setImmediateMessageCallback (LBMImmediateMessageCallback cb, LBMEventQueue evq)
void | setImmediateMessageCallback (LBMImmediateMessageCallback cb, Object cbArg)
void | setImmediateMessageCallback (LBMImmediateMessageCallback cb, Object cbArg, LBMEventQueue evq)
void | setSourceCostCallback (LBMSourceCostCallback cb)
void | setSourceCostCallback (LBMSourceCostCallback cb, Object cbArg)
void | setTransportMappingCallback (LBMTransportMappingCallback cb)
void | setTransportMappingCallback (LBMTransportMappingCallback cb, Object cbArg)
void | setResolverEventCallback (LBMResolverEventCallback cb, Object cbArg)
void | setResolverEventCallback (LBMResolverEventCallback cb)
void | setReceiverLivenessNotificationCallbacks (UMEReceiverLivenessCreationCallback creationCb, UMEReceiverLivenessDeletionCallback deletionCb, Object cbArg) throws LBMException
UMEReceiverLivenessCreationCallback | getRcvLivenessCreateCB ()
UMEReceiverLivenessDeletionCallback | getRcvLivenessDeleteCB ()
Object | getRcvLivenessClientd ()
Object | getResolverEventCallbackObject ()

## Protected Member Functions
void | finalize ()

## Detailed Description

Encapsulates the set of default LBM context attributes.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMContextAttributes.LBMContextAttributes | ( | String | contextName | ) | throws LBMException

Create and fill an LBMContextAttributes object with the current default values for the given context name.

Parameters

  contextName | Context name string. Is written into the attributes object.

Exceptions

  LBMException | if the contextName is not permitted by the configuration or other operational failure.

com.latencybusters.lbm.LBMContextAttributes.LBMContextAttributes | ( |  | ) | throws LBMException

Create and fill an LBMContextAttributes object with the current default values

Exceptions

  LBMException |

## Member Function Documentation

void com.latencybusters.lbm.LBMContextAttributes.clearSourceNotification | ( |  | ) |

Clear the currently stored source notification callback and token

void com.latencybusters.lbm.LBMContextAttributes.disableSourceNotification | ( |  | ) |

Disable new source notifications.

void com.latencybusters.lbm.LBMContextAttributes.dispose | ( |  | ) |

Free memory associated with this set of attributes.

Referenced by com.latencybusters.lbm.LBMContextAttributes.finalize().

LBMConfigOption [] com.latencybusters.lbm.LBMContextAttributes.dumpAttributeList | ( |  | ) |

Returns an array of LBMConfigOptions.

Returns
  Array of LBMConfigOption

void com.latencybusters.lbm.LBMContextAttributes.enableSourceNotification | ( |  | ) |

Enable new source notifications. New source notifications are delivered via the source notification callback set by LBMContext#addSourceNotifyCallback.

See also
  LBMContext::addSourceNotifyCallback
  disableSourceNotification

void com.latencybusters.lbm.LBMContextAttributes.finalize | ( |  | ) |
| protected

This method is for internal use only, and is not supported for customer applications.

References com.latencybusters.lbm.LBMContextAttributes.dispose().

String com.latencybusters.lbm.LBMContextAttributes.getValue | ( | String | attributeName | ) | throws LBMException

Returns the current value of an attribute from this set of context attributes.

Parameters

  attributeName | Name of the attribute to retrieve

Returns
  Value corresponding to the specified attribute name

Exceptions

  LBMException | if `attributeName` is not a valid attribute.

void com.latencybusters.lbm.LBMContextAttributes.load | ( | InputStream | inStream | ) | throws IOException

Reads a property (attribute) list (key and element pairs) from the input stream.

Parameters

  inStream | Input stream of bytes

Exceptions

  IOException | if any I/O error occurs.
  LBMRuntimeException | if any invalid attribute is detected in `inStream`.

References com.latencybusters.lbm.LBMContextAttributes.setProperty().

void com.latencybusters.lbm.LBMContextAttributes.setContextEventCallback | ( | LBMContextEventCallback | cb | ) |

Set the context event callback for an LBMContext.

Parameters

  cb | An object implementing the LBMContextEventCallback interface.

Referenced by com.latencybusters.lbm.LBMContextAttributes.setContextEventCallback().

void com.latencybusters.lbm.LBMContextAttributes.setContextEventCallback | ( | LBMContextEventCallback | cb,
|  | Object | cbArg
| ) |  |

Set the context event callback for an LBMContext and associated callback object.

Parameters

  cb | An object implementing the LBMContextEventCallback interface.
  cbArg | A user-supplied callback object to be passed back in context event callbacks.

References com.latencybusters.lbm.LBMContextAttributes.setContextEventCallback().

void com.latencybusters.lbm.LBMContextAttributes.setContextEventCallback | ( | LBMContextEventCallback | cb,
|  | LBMEventQueue | evq
| ) |  |

Set the context event callback for an LBMContext and associated callback object.

Parameters

  cb | An object implementing the LBMContextEventCallback interface.
  evq | An LBMEventQueue on which to place context events.

References com.latencybusters.lbm.LBMContextAttributes.setContextEventCallback().

void com.latencybusters.lbm.LBMContextAttributes.setContextEventCallback | ( | LBMContextEventCallback | cb,
|  | Object | cbArg,
|  | LBMEventQueue | evq
| ) |  |

Set the context event callback for an LBMContext and associated callback object.

Parameters

  cb | An object implementing the LBMContextEventCallback interface.
  cbArg | A user-supplied callback object to be passed back in context event callbacks.
  evq | An LBMEventQueue on which to place context events.

void com.latencybusters.lbm.LBMContextAttributes.setContextSourceEventCallback | ( | LBMContextSourceEventCallback | cb | ) |

Set the context-level source event callback for an LBMContext.

Parameters

  cb | An object implementing the LBMContextSourceEventCallback interface.

Referenced by com.latencybusters.lbm.LBMContextAttributes.setContextSourceEventCallback().

void com.latencybusters.lbm.LBMContextAttributes.setContextSourceEventCallback | ( | LBMContextSourceEventCallback | cb,
|  | Object | cbArg
| ) |  |

Set the context-level source event callback for an LBMContext and associated callback object.

Parameters

  cb | An object implementing the LBMContextSourceEventCallback interface.
  cbArg | A user-supplied callback object to be passed back in context source event callbacks.

References com.latencybusters.lbm.LBMContextAttributes.setContextSourceEventCallback().

void com.latencybusters.lbm.LBMContextAttributes.setContextSourceEventCallback | ( | LBMContextSourceEventCallback | cb,
|  | LBMEventQueue | evq
| ) |  |

Set the context-level source event callback for an LBMContext and associated callback object.

Parameters

  cb | An object implementing the LBMContextSourceEventCallback interface.
  evq | An LBMEventQueue on which to place context source events.

References com.latencybusters.lbm.LBMContextAttributes.setContextSourceEventCallback().

void com.latencybusters.lbm.LBMContextAttributes.setContextSourceEventCallback | ( | LBMContextSourceEventCallback | cb,
|  | Object | cbArg,
|  | LBMEventQueue | evq
| ) |  |

Set the context-level source event callback for an LBMContext and associated callback object.

Parameters

  cb | An object implementing the LBMContextSourceEventCallback interface.
  cbArg | A user-supplied callback object to be passed back in context source event callbacks.
  evq | An LBMEventQueue on which to place context source events.

void com.latencybusters.lbm.LBMContextAttributes.setFromXml | ( | String | contextName | ) | throws LBMException

Fill an LBMContextAttributes object with the default values for the given context name specified by the XML configuration.

Parameters

  contextName | Context name string. Is written into the attributes object.

Exceptions

  LBMException | if the contextName is not permitted by the configuration or other operational failure.

void com.latencybusters.lbm.LBMContextAttributes.setImmediateMessageCallback | ( | LBMImmediateMessageCallback | cb | ) |

Set (and enable) the context callback for topic-less immediate mode messages.

Parameters

  cb | An object implementing the LBMImmediateMessageCallback interface.

Referenced by com.latencybusters.lbm.LBMContextAttributes.setImmediateMessageCallback().

void com.latencybusters.lbm.LBMContextAttributes.setImmediateMessageCallback | ( | LBMImmediateMessageCallback | cb,
|  | LBMEventQueue | evq
| ) |  |

Set (and enable) the context callback for topic-less immediate mode messages.

Parameters

  cb | An object implementing the LBMImmediateMessageCallback interface.
  evq | LBMEventQueue on which to place received topic-less immediate-mode messages (can be null).

References com.latencybusters.lbm.LBMContextAttributes.setImmediateMessageCallback().

void com.latencybusters.lbm.LBMContextAttributes.setImmediateMessageCallback | ( | LBMImmediateMessageCallback | cb,
|  | Object | cbArg
| ) |  |

Set (and enable) the context callback for topic-less immediate mode messages.

Parameters

  cb | An object implementing the LBMImmediateMessageCallback interface.
  cbArg | A user-supplied callback object to be passed back in to the immediate message receiver callback.

References com.latencybusters.lbm.LBMContextAttributes.setImmediateMessageCallback().

void com.latencybusters.lbm.LBMContextAttributes.setImmediateMessageCallback | ( | LBMImmediateMessageCallback | cb,
|  | Object | cbArg,
|  | LBMEventQueue | evq
| ) |  |

Set (and enable) the context callback for topic-less immediate mode messages.

Parameters

  cb | An object implementing the LBMImmediateMessageCallback interface.
  cbArg | A user-supplied callback object to be passed back in to the immediate message receiver callback.
  evq | LBMEventQueue on which to place received topic-less immediate-mode messages (can be null).

void com.latencybusters.lbm.LBMContextAttributes.setObjectRecycler | ( | LBMObjectRecyclerBase | objRec,
|  | Object | objRecCbArg
| ) |  |

Set the LBM object recycler that can be used by the context to reuse LBMMessage objects as well as LBM Context/Receiver/Source Statistics objects.

Parameters

  objRec | an LBM object recycler that will be called when objects need to be retrieved
  objRecCbArg | a callback object token that will be passed in the retrieve method

Object com.latencybusters.lbm.LBMContextAttributes.setProperty | ( | String | attributeName,
|  | String | attributeValue
| ) |  |

Set the current value of an attribute in this set of context attributes.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMRuntimeException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

References com.latencybusters.lbm.LBMContextAttributes.setValue().

Referenced by com.latencybusters.lbm.LBMContextAttributes.load().

void com.latencybusters.lbm.LBMContextAttributes.setReceiverLivenessNotificationCallbacks | ( | UMEReceiverLivenessCreationCallback | creationCb,
|  | UMEReceiverLivenessDeletionCallback | deletionCb,
|  | Object | cbArg
| ) |  | throws LBMException

Register callbacks for new receiver liveness notifications and receiver deletion notifications.

void com.latencybusters.lbm.LBMContextAttributes.setSourceCostCallback | ( | LBMSourceCostCallback | cb | ) |

Set the source cost callback function for an LBMContext, which is an application callback to evaluate the cost of a newly discovered source

Parameters

  cb | LBMSourceCostCallback callback implementation

void com.latencybusters.lbm.LBMContextAttributes.setSourceCostCallback | ( | LBMSourceCostCallback | cb,
|  | Object | cbArg
| ) |  |

Set the source cost callback function for an LBMContext, which is an application callback to evaluate the cost of a newly discovered source

Parameters

  cb | LBMSourceCostCallback callback implementation
  cbArg | Callback object token

void com.latencybusters.lbm.LBMContextAttributes.setSourceNotification | ( | LBMSourceNotification | cb,
|  | Object | cbarg
| ) |  |

Set the callback and token to be used for source notifications.

void com.latencybusters.lbm.LBMContextAttributes.setTransportMappingCallback | ( | LBMTransportMappingCallback | cb | ) |

Set the transport mapping callback function for an LBMContext, which is an application callback to provide the user an opportunity to map a new transport session to an XSP

Parameters

  cb | LBMTransportMappingCallback callback implementation

void com.latencybusters.lbm.LBMContextAttributes.setTransportMappingCallback | ( | LBMTransportMappingCallback | cb,
|  | Object | cbArg
| ) |  |

Set the transport mapping callback function for an LBMContext, which is an application callback to provide the user an opportunity to map a new transport session to an XSP

Parameters

  cb | LBMTransportMappingCallback callback implementation
  cbArg | Callback object token

void com.latencybusters.lbm.LBMContextAttributes.setValue | ( | String | attributeName,
|  | String | attributeValue
| ) |  | throws LBMException

FOR INTERNAL INFORMATICA USE ONLY - NOT FOR DIRECT APPLICATION USEAGE. Applications should use setProperty() instead. Set the current value of an attribute in this set of context attributes. Note that this method bypasses the property list. As such no attributes configured using this method will appear in the property list.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  LBMException | if `attributeName` is not a valid attribute, or `attributeValue` is not a valid value for `attributeName`.

See also
  setProperty

Referenced by com.latencybusters.lbm.LBMContextAttributes.setProperty().

The documentation for this class was generated from the following file:

- LBMContextAttributes.java